@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700&family=Roboto:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700&display=swap');
html,
body {
  padding: 0;
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen,
    Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif;
}

a {
  color: inherit;
  text-decoration: none;
}

* {
  box-sizing: border-box;
}

code {
  font-size: 16px;
  font-family: Roboto Mono, monospace;

  &:not(.hljs) {
    padding: 0px 4px;
    background-color: #eceff1;
    border-radius: 6px;
    border: 1px solid #b0bec5;
  }

  &.hljs {
    color: #cfd8dc;
    padding: 16px;
    background-color: #263238;
    border-radius: 0.5rem;
    font-size: 14px;

    .hljs-keyword {
      color: #64b5f6;
    }

    .hljs-comment {
      color: #78909c;
    }

    .hljs-string {
      color: #9ccc65;
    }

    .hljs-number {
      color: #dce775;
    }

    .hljs-attr {
      color: #ffcc80;
    }

    .hljs-title,
    .hljs-built_in {
      color: #b39ddb;
    }
  }
}

$margin: 1rem;

li.treeParent {
  margin: $margin 0;

  .MuiTreeItem-label {
    font-weight: 700;
  }
}

a.treeChild {
  .MuiTreeItem-root {
    margin: $margin 0;
  }

  .MuiTreeItem-label {
    color: black;
    font-weight: 400;
  }

  &.active {
    .MuiTreeItem-label {
      color: #f50057;
      font-weight: 500;
    }
  }
}

ul.MuiTreeItem-group {
  margin-left: 9px;
  padding-left: 9px;
  border-left: 1px dashed rgba(0, 0, 0, 0.4);
}

li.MuiTreeItem-root:focus > .MuiTreeItem-content .MuiTreeItem-label,
div.MuiTreeItem-label:hover {
  background-color: transparent;
}

a .MuiTreeItem-label:hover {
  text-decoration: underline;
}

div.MuiTreeItem-iconContainer {
  display: none;
}

.MuiToolbar-root {
  a,
  a:hover {
    color: white;
  }
}

a {
  font-weight: 500;
  color: #f50057;

  &:hover {
    color: #c51162;
  }
}

.MuiPaper-root.MuiDrawer-paper {
  background-color: #e8eaf6;
}

article {
  h1,
  h2,
  h3,
  h4 {
    a {
      font-weight: 700;
    }

    &:hover .icon-link::after {
      margin-left: 0.5rem;
      content: '#';
    }

    &:before {
      display: block;
      content: ' ';
      height: 5rem; /* Give height of your fixed element */
      margin-top: -5rem; /* Give negative margin of your fixed element */
      visibility: hidden;
    }
  }

  h1 {
    font-size: 2rem;
  }

  h2 {
    font-size: 1.5rem;
    margin-top: 2rem;
    margin-bottom: 1rem;
  }

  h3 {
    font-size: 1.25rem;
    margin-top: 1.75rem;
    margin-bottom: 1rem;
  }

  h4 {
    font-size: 1rem;
  }

  p,
  li {
    font-size: 16px;
    line-height: 1.6;
  }

  blockquote {
    font-style: italic;
    color: #455a64;
    border-left: 2px solid currentColor;
    padding: 0.5rem 0;
    padding-left: 1rem;
    margin: 1rem;
    margin-left: calc(40px - 1rem);

    p:first-child {
      margin-top: 0;
    }

    p:last-child {
      margin-bottom: 0;
    }
  }
}

.article-metadata {
  display: flex;
  align-items: center;
  padding: 1rem 1.5rem;
  font-weight: 500;
  color: #cfd8dc;
  background-color: #455a64;

  i {
    font-family: Roboto Mono, monospace;
  }

  .separator {
    margin: 0 1rem;
  }

  a,
  a:hover {
    color: inherit;
  }

  a:hover {
    text-decoration: underline;
  }
}

body {
  .MuiLinearProgress-indeterminate {
    z-index: 2000;
    position: absolute;
    top: 0;
    width: 100%;
  }
}

.docs-loading {
  width: 100vw;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;

  h1 {
    margin-right: 3rem;
  }
}

main {
  flex: 1;
}
